diff -c ../zip19i/infozip.who ./infozip.who
*** ../zip19i/infozip.who	Tue Nov  3 21:07:55 1992
--- ./infozip.who	Fri Sep 10 04:54:36 1993
***************
*** 1,24 ****
  These members of the INFO-ZIP group contributed to the development and
! testing of portable Zip.  They are responsible for whatever works in Zip.
! Whatever doesn't work is solely the fault of the authors of Zip (Mark Adler,
! Rich Wales, Jean-loup Gailly, Kai Uwe Rommel and Igor Mandrichenko).
! Bill Davidsen provided the envargs code. If you have contributed and
! your name has been forgotten, please send a reminder to the zip-bugs
! address given in the Readme file.
  
  Mark Adler              madler@tybalt.caltech.edu       NeXT 2.x
  Glenn J. Andrews        oper1%drcv06.decnet@drcvax.af.mil       VAX VMS
  James Van Artsdalen     james@raid.dell.com             bug report
  Tom Betz                marob!upaya!tbetz@phri.nyu.edu  SCO Xenix 2.3.1
! James Birdsall          jwbirdsa@amc.com                AT&T 3B1
  Wim Bonner              27313853@WSUVM1.CSC.WSU.EDU     HP 9000/840a HPUX
  Paul Borman             prb@cray.com                    Cray-X/YMP,2 UNICOS 6-8
  Scott Briggs            briggs@nashua.progress.com      Windows NT
  Leslie C. Brown         lbrown@BRL.MIL                  Pyramid MIS-4
  Ralf Brown              ralf@b.gp.cs.cmu.edu            Pyramid MIS-4
  Pietro Caselli          zaphod@petruz.sublink.org       Minix 1.5.10
  Bill Davidsen           davidsen@crdos1.crd.ge.com      Xenix (on what?)
! Daniel Deimert          daniel@hexagon.se               zeus3.21 Zilog S8000
  James P. Dugal          jpd@usl.edu                     Pyramid 90X OSx4.1
  "Evil Ed"               esaffle@gmuvax2.gmu.edu         Ulrix-32 V3.1 (Rev. 9)
  David A. Feinleib       t-davefe@microsoft.com          Windows NT
--- 1,33 ----
  These members of the INFO-ZIP group contributed to the development and
! testing of portable Zip.  They are responsible for whatever works in
! Zip.  Whatever doesn't work is solely the fault of the authors of Zip
! (Mark Adler, Rich Wales, Jean-loup Gailly, Kai Uwe Rommel, Igor
! Mandrichenko and John Bush). If you have contributed and your name has
! been forgotten, please send a reminder to the zip-bugs address given
! in the Readme file. The names are given here in alphabetical order,
! because it's impossible to classify them by importance of the
! contribution. Some have made a complete port to a new target, some
! have provided a one line fix. All are to be thanked.
  
  Mark Adler              madler@tybalt.caltech.edu       NeXT 2.x
  Glenn J. Andrews        oper1%drcv06.decnet@drcvax.af.mil       VAX VMS
  James Van Artsdalen     james@raid.dell.com             bug report
+ Eric Backus             ericb@lsid.hp.com               bug report
+ Mark E. Becker          mbecker@cs.uml.edu              bug report
+ Michael Bernardi        mike@childsoc.demon.co.uk       RS6000
  Tom Betz                marob!upaya!tbetz@phri.nyu.edu  SCO Xenix 2.3.1
! James Birdsall          jwbirdsa@picarefy.com           AT&T 3B1
  Wim Bonner              27313853@WSUVM1.CSC.WSU.EDU     HP 9000/840a HPUX
  Paul Borman             prb@cray.com                    Cray-X/YMP,2 UNICOS 6-8
  Scott Briggs            briggs@nashua.progress.com      Windows NT
  Leslie C. Brown         lbrown@BRL.MIL                  Pyramid MIS-4
  Ralf Brown              ralf@b.gp.cs.cmu.edu            Pyramid MIS-4
+ Jeremy Daniel Buhler    jbuhler@owlnet.rice.edu         BC++
+ John Bush               john.bush@east.sun.com          Amiga (SAS/C)
  Pietro Caselli          zaphod@petruz.sublink.org       Minix 1.5.10
  Bill Davidsen           davidsen@crdos1.crd.ge.com      Xenix (on what?)
! Daniel Deimert          daniel@pkmab.se		        zeus3.21 Zilog S8000
! Matthew J. D'Errico     doc@magna.com                   Bull
  James P. Dugal          jpd@usl.edu                     Pyramid 90X OSx4.1
  "Evil Ed"               esaffle@gmuvax2.gmu.edu         Ulrix-32 V3.1 (Rev. 9)
  David A. Feinleib       t-davefe@microsoft.com          Windows NT
***************
*** 28,51 ****
--- 37,66 ----
  Kevin M. Fritz          kmfritz@apgea.army.mil          Turbo C++ 1.0
  Jean-loup Gailly        jloup@chorus.fr                 MS-DOS Microsoft C 5.1
  Scott D. Galloway       sgallowa@letterkenn-emh1.army.mil   Sperry 5000 SysV.3
+ Wayne R. Graves         graves@csa2.lbl.gov             Vax VMS
  George Grimes           grimes@netcom.com               Apollo Domain SR10.4
  Hunter Goatley          goathunter@WKUVX1.BITNET        Vax VMS
  Arnt Gulbrandsen        agulbra@pvv.unit.no             Linux
  David Gundlach          david@rolf.stat.uga.edu         Sun SS1+ SunOS 4.1
+ Peter Gutmann           pgut1@cs.aukuni.ac.nz           bug report
  Charles Hannum          mycroft@ai.mit.edu              bug report
  Bob Hardy               hardy@lucid.com                 Power C on MSDOS
+ Zachary Heilig          heilig@plains.nodak.edu         Turbo C++ 3.0
+ Aubrey Jaffer           jaffer@martigny.ai.mit.edu      Pixel
  Peter Jones             jones@info.uqam.ca              MIPS UMIPS 4.0
  Kjetil W. J{\o}rgensen  jorgens@lise.unit.no            OSF/1
  Bruce Kahn              bkahn@archive.webo.dg.com       MS-DOS Microsoft C 5.1
  Jonathan I. Kamens      jik@pit-manager.mit.edu         ultrix on DECstation
  Bob Kemp                Robert.V.Kemp@att.com           AT&T 3B2 SysV 3.2v2
  Earl Kiech              KIECH@utkvx.utk.edu             VAX VMS V5.4-1A
+ Paul Kienitz            Paul.Kienitz@f28.n125.z1.fidonet.org  Amiga (Manx Aztec)
  David Kirschbaum        kirsch@usasoc.soc.mil           He got us all in this
                                                          mess in the first place
  Bo Kullmar              bk@kullmar.se                   DNIX 5.3, SunOS 4.1
  Harry Langenbacher      harry@neuron6.Jpl.Nasa.Gov      Sun SS1+ SunOS 4.1
  Michael D. Lawler       mdlawler@bsu-cs.bsu.edu         Mt.Xinu BSD 4.3 on VAX
  Johnny Lee              johnnyl@microsoft.com           Microsoft C 7.0
+ Michael Lemke           michael@io.as.utexas.edu        VMS
  David Lemson            lemson@ux1.cso.uiuc.edu         Sequent Dynix 3.0.17
  Onno van der Linden     vdlinden@fwi.uva.nl             SCO Unix 3.2.0, 386/BSD
                                                          BC++ 3.0, djgcc 1.08
***************
*** 56,63 ****
  Fulvio Marino           fulvio@iconet.ico.olivetti.it   X/OS 2.3 & 2.4
  Bill Marsh              bmarsh@cod.nosc.mil             SGI Iris 4D35
  Peter Mauzey            ptm@mtdcc.att.com               AT&T 6300
! Rafal Z. Maszkowski     <rzm%pltumk11.bitnet@mvs.oac.ucla.edu> Convex
  Robert McBroom (?)      rm3@ornl.gov                    DECsystem 5810
  Humberto Ortiz-Zuazaga  zuazaga@ucunix.san.uc.edu       Linux
  James E. O'Dell         jim@fpr.com                     MacOS
  William O'Shaughnessy   williamo@hpcupt1.cup.hp.com     HPUX
--- 71,83 ----
  Fulvio Marino           fulvio@iconet.ico.olivetti.it   X/OS 2.3 & 2.4
  Bill Marsh              bmarsh@cod.nosc.mil             SGI Iris 4D35
  Peter Mauzey            ptm@mtdcc.att.com               AT&T 6300
! Rafal Z. Maszkowski     rzm@mat.torun.edu.pl            Convex
  Robert McBroom (?)      rm3@ornl.gov                    DECsystem 5810
+ Tom McConnell           tmcconne@sedona.intel.com       NCR SVR4
+ Frank P. McIngvale      frankm@eng.auburn.edu           Bug report
+ Michael                 kuch@mailserv.zdv.uni-tuebingen.de SGI
+ Dan Mick                dmick@pongo.west.sun.com        Solaris
+ Thomas S. Opheys        opheys@kirk.fmi.uni-passau.de   OS/2
  Humberto Ortiz-Zuazaga  zuazaga@ucunix.san.uc.edu       Linux
  James E. O'Dell         jim@fpr.com                     MacOS
  William O'Shaughnessy   williamo@hpcupt1.cup.hp.com     HPUX
***************
*** 67,72 ****
--- 87,93 ----
  Alan Phillips           postmaster@lancaster.ac.uk      Dynix/ptx 1.3
  Bruno Pillard           bp@chorus.fr                    SunOS 4.1
  Piet W. Plomp           piet@icce.rug.nl                MSC 7.0, SCO 3.2v4.0
+ Yuval Rakavy            yuval@cs.huji.ac.il             MSDOS
  David A Rasmussen       dave@convex.csd.uwm.edu         Convex C220 with 9.0 OS
  Michael Regoli          mr@cica.indiana.edu             Ultrix 3.1 VAX 8650
                                                          BSD 4.3 IBM RT/125
***************
*** 80,99 ****
                                                          VMS 5.2, 5.4 VAX 8600
                                                          Irix 3.3.2, SGI Iris 4D
                                                          UTS 1.2.4 Amdahl 5880
  Kai Uwe Rommel          rommel@informatik.tu-muenchen.de        OS/2
  Jon Saxton              jrs@panix.com                   Microsoft C 6.0
  Steve Salisbury         stevesa@microsoft.com           Microsoft C 6.0
  Timo Salmi              ts@uwasa.fi                     bug report
! Martin Schulz           martin@indian.cs.unb.ca         Atari ST
  W. T. Sidney            sidney@picard.med.ge.com        bug report
  Dave Sisson             daves@vtcosy.cns.vt.edu         AIX 1.1.1 PS/2 & 3090
  Fred Smith              fcshome!fredex@uunet.uu.net     Coherent
  Ron Srodawa             srodawa@vela.acs.oakland.edu    SCO Xenix/386 2.3.3
! Bertil Stenstr|m        stenis@heron.qz.se              HP-UX 7.0 HP9000/835
  Paul Telles             paul@pubnet.com                 SCO Xenix
  Robert F Tobler         rft@cs.stanford.edu             bug report
! Antoine Verheijen	antoine@sysmail.ucs.ualberta.ca envargs fix
  Arjan de Vet            devet@info.win.tue.nl           SunOS 4.1, MSC 5.1
  Johan Vromans           jv@mh.nl                        bug report
  Rich Wales              wales@cs.ucla.edu               SunOS 4.0.3 Sun-3/50
  Frank J. Wancho         wancho@wsmr-simtel20.army.mil   TOPS-20
--- 101,126 ----
                                                          VMS 5.2, 5.4 VAX 8600
                                                          Irix 3.3.2, SGI Iris 4D
                                                          UTS 1.2.4 Amdahl 5880
+ Phil Ritzenthaler       phil@cgrg.ohio-state.edu        SYSV
  Kai Uwe Rommel          rommel@informatik.tu-muenchen.de        OS/2
+ Markus Ruppel           m.ruppel@imperial.ac.uk         OS/2
  Jon Saxton              jrs@panix.com                   Microsoft C 6.0
  Steve Salisbury         stevesa@microsoft.com           Microsoft C 6.0
  Timo Salmi              ts@uwasa.fi                     bug report
! NIIMI Satoshi           a01309@cfi.waseda.ac.jp         Human68K
! Martin Schulz           martin.schulz@isltd.insignia.com Windows NT, Atari
  W. T. Sidney            sidney@picard.med.ge.com        bug report
  Dave Sisson             daves@vtcosy.cns.vt.edu         AIX 1.1.1 PS/2 & 3090
  Fred Smith              fcshome!fredex@uunet.uu.net     Coherent
  Ron Srodawa             srodawa@vela.acs.oakland.edu    SCO Xenix/386 2.3.3
! Bertil Stenstr|m        stenis@heron.dafa.se            HP-UX 7.0 HP9000/835
! Carl Streeter           streeter@oshkoshw.bitnet        OS/2
  Paul Telles             paul@pubnet.com                 SCO Xenix
+ Christopher C. Tjon     tjon@plains.nodak.edu           bug report
  Robert F Tobler         rft@cs.stanford.edu             bug report
! Antoine Verheijen       antoine@sysmail.ucs.ualberta.ca envargs fix
  Arjan de Vet            devet@info.win.tue.nl           SunOS 4.1, MSC 5.1
  Johan Vromans           jv@mh.nl                        bug report
  Rich Wales              wales@cs.ucla.edu               SunOS 4.0.3 Sun-3/50
  Frank J. Wancho         wancho@wsmr-simtel20.army.mil   TOPS-20
+                         oyvind@stavanger.sgp.slb.com    Bug report.
diff -c ../zip19i/install.doc ./install.doc
*** ../zip19i/install.doc	Tue Nov  3 21:07:55 1992
--- ./install.doc	Fri Sep 10 03:57:30 1993
***************
*** 1,53 ****
  HOW TO INSTALL ZIP
!      Zip is distributed as C source code that can be compiled on
!      a wide range of Unix machines, VAXes running VMS, and MSDOS
!      machines using Microsoft or Borland C++, and OS/2 machines
!      using Microsoft C.  You will need Unzip 5.0 (under Unix, MSDOS,
!      or VMS) or PKUNZIP 1.93a (under MSDOS) to unpack the distribution
!      file, zip19.zip. But since you read this, you have unpacked it
       already, or you cheated and got a tar.Z file...
  
       Let's assume however that you start from scratch and have not yet
       unpacked the sources. First, unpack the source as follows,
!      assuming that you have zip19.zip in the current directory.
  
            mkdir zipsrc
            cd zipsrc
!           unzip ../zip19
  
       This extracts all source files and documentation in the
       directory called "zipsrc". If you wish to build a version
       of zip with encryption capabilities, you must also get the
!      separate package zcrypt19.zip and uncomment the definition
       of MAKE at the beginning of the makefile.
  
       You then do:
  
            make system
  
!      where "system" is one of: 3b1, aix, att6300, aux, bsd, bsdold,
!      convex, cray, cray_v3, dec_osf1, dnix, dynix, hpux, isc, linux,
!      minix, next, next10, scodos, sun, sun_gcc, sysv, sysv_386, sysv_old,
!      ultrix, xenix, xos, zilog.  If you are using a NeXT running
!      version 2.0 or greater, then make next.  If you are using 1.0,
!      then make next10.  If you are using Sun OS 4.x, then make sun (or
!      sun_gcc if you have gcc). If you are using SVR4 on a 386, use
!      sysv_386 to get the optimized asm code.
! 
!      The other special systems are HPUX, DNIX 5.2 or 5.3, Cray Unicos,
!      AT&T 3B1 (also known as Unix PC or PC 7300), Zilog Zeus, A/UX,
!      Convex, AIX, MINIX, ISC System V/386, Dynix, Ultrix and DEC OSF/1.
! 
!      Otherwise, if you are using BSD Unix, try bsd.  If the linker
!      cannot find _memset or _memcpy, try bsdold.  If you are using
!      System V Unix or SCO Unix, try sysv or sysv_old.  Also use sysv
!      on a Silicon Graphics (SGI) machine.  You can also cross-compile
!      Zip for MSDOS under SCO 386 Unix using "make scodos". If you get
       error messages "constant expected" in deflate.c, add -DDYN_ALLOC
       to CFLAGS in your makefile entry.
  
       If none of these compiles, links, and functions properly on
!      your Unix system, see the file Readme for how to get help.
  
       If the appropriate system was selected, then the executables
       zip, zipnote and zipsplit will be created.  You can copy them
--- 1,59 ----
  HOW TO INSTALL ZIP
!      Zip is distributed as C source code that can be compiled on a
!      wide range of Unix machines, VAXes running VMS, and MSDOS
!      machines using Microsoft or Borland C++, and OS/2 machines using
!      Microsoft C.  You will need Unzip 5.0p1 (under Unix, MSDOS, or VMS)
!      or PKUNZIP 2.04g or later (under MSDOS) to unpack the distribution
!      file, zip20.zip. But since you read this, you have unpacked it
       already, or you cheated and got a tar.Z file...
  
       Let's assume however that you start from scratch and have not yet
       unpacked the sources. First, unpack the source as follows,
!      assuming that you have zip20.zip in the current directory.
  
            mkdir zipsrc
            cd zipsrc
!           unzip ../zip20
  
       This extracts all source files and documentation in the
       directory called "zipsrc". If you wish to build a version
       of zip with encryption capabilities, you must also get the
!      separate package zcrypt20.zip and uncomment the definition
       of MAKE at the beginning of the makefile.
  
       You then do:
  
            make system
  
!      where "system" is one of: generic, 386bsd, 3b1, aix, att6300, aux, bsd,
!      bsdold, bull, convex, coherent, cray, cray_v3, dec_osf1, dnix,
!      dynix, hpux, isc, linux, minix, next10, next2x, next3x, nextfat, pixel,
!      ptx, rs6000, scodos, sgi, sun, sun_gcc, sysv, sysv_gcc, sysv_386,
!      sys_386_gcc, sysv_old, ultrix, v7, xenix, xos, zilog.
!      Try "make generic" first, this works on most systems. If this
!      fails, then use one of the special targets given above.
! 
!      If you are using a NeXT, then make next for help about various
!      NeXT targets.  Among other special systems are HPUX, DNIX 5.2 or
!      5.3, Cray Unicos, AT&T 3B1 (also known as Unix PC or PC 7300),
!      Zilog Zeus, A/UX, Convex, AIX, MINIX, ISC System V/386, Dynix,
!      Ultrix and DEC OSF/1.
! 
!      If you are using BSD Unix, try bsd.  If the linker cannot find
!      _memset or _memcpy, try bsdold or v7.  If you are using System V
!      Unix or SCO Unix, try sysv or sysv_old.  Also use sysv on a
!      Silicon Graphics (SGI) machine.  You can also cross-compile Zip
!      for MSDOS under SCO 386 Unix using "make scodos". If you get
       error messages "constant expected" in deflate.c, add -DDYN_ALLOC
       to CFLAGS in your makefile entry.
  
+      If you have lots of memory, try compiling with -DBIG_MEM. If your
+      system supports mmap(), try compiling with -DMMAP. This generally
+      gives faster compression but uses more memory. See the Makefile
+      entry mmap_gcc for an example.
+ 
       If none of these compiles, links, and functions properly on
!      your Unix system, see the file README for how to get help.
  
       If the appropriate system was selected, then the executables
       zip, zipnote and zipsplit will be created.  You can copy them
***************
*** 75,83 ****
            rm -r zipsrc
  
       This will remove the directory zip and its contents created
!      by unzip.  You should keep the zip19.zip file around though,
       in case you need to build it again or want to give it to a
       colleague.
  
       The steps for installation under MSDOS, OS/2, and VMS are
       similar to the above: first unzip the distribution files
--- 81,99 ----
            rm -r zipsrc
  
       This will remove the directory zip and its contents created
!      by unzip.  You should keep the zip20.zip file around though,
       in case you need to build it again or want to give it to a
       colleague.
+ 
+      You can add the following lines to the file /etc/magic for
+      usage by the 'file' command:
+ 
+ 0	string		PK\003\004	Zip archive
+ >4	string		\011		(at least v0.9 to extract)
+ >4	string		\012		(at least v1.0 to extract)
+ >4	string		\013		(at least v1.1 to extract)
+ >4	string		\024		(at least v2.0 to extract)
+ 
  
       The steps for installation under MSDOS, OS/2, and VMS are
       similar to the above: first unzip the distribution files
Only in .: mac
diff -c ../zip19i/makecrc.c ./makecrc.c
*** ../zip19i/makecrc.c	Tue Nov  3 21:07:55 1992
--- ./makecrc.c	Sat Aug 21 01:57:28 1993
***************
*** 1,5 ****
--- 1,9 ----
  /* Not copyrighted 1990 Mark Adler */
  
+ #ifndef lint
+ static char rcsid[] = "$Id: zip.diff,v 1.1 1993/09/22 19:09:54 smace Exp $";
+ #endif
+ 
  #include <stdio.h>
  
  main()
***************
*** 37,43 ****
    /* terms of polynomial defining this crc (except x^32): */
    static int p[] = {0,1,2,4,5,7,8,10,11,12,16,22,23,26};
  
!   /* Make exclusive-or pattern from polynomial */
    e = 0;
    for (i = 0; i < sizeof(p)/sizeof(int); i++)
      e |= 1L << (31 - p[i]);
--- 41,47 ----
    /* terms of polynomial defining this crc (except x^32): */
    static int p[] = {0,1,2,4,5,7,8,10,11,12,16,22,23,26};
  
!   /* Make exclusive-or pattern from polynomial (0xedb88320) */
    e = 0;
    for (i = 0; i < sizeof(p)/sizeof(int); i++)
      e |= 1L << (31 - p[i]);
***************
*** 46,58 ****
    printf("  0x00000000L");
    for (i = 1; i < 256; i++)
    {
!     c = 0;
!     for (k = i | 256; k != 1; k >>= 1)
!     {
        c = c & 1 ? (c >> 1) ^ e : c >> 1;
-       if (k & 1)
-         c ^= e;
-     }
      printf(i % 5 ? ", 0x%08lxL" : ",\n  0x%08lxL", c);
    }
    putchar('\n');
--- 50,61 ----
    printf("  0x00000000L");
    for (i = 1; i < 256; i++)
    {
!     c = i;
!     /* The idea to initialize the register with the byte instead of
!      * zero was stolen from Haruhiko Okumura's ar002
!      */
!     for (k = 8; k; k--)
        c = c & 1 ? (c >> 1) ^ e : c >> 1;
      printf(i % 5 ? ", 0x%08lxL" : ",\n  0x%08lxL", c);
    }
    putchar('\n');
Only in ../zip19i: makefile
